Subject: [manet] [Editorial Errata Reported] RFC5444 (4178)

From: RFC Errata System <[email-masked]>
Date: Thu, 13 Nov 2014 18:23:37 -0800 (PST)

The following errata report has been submitted for RFC5444,
"Generalized Mobile Ad Hoc Network (MANET) Packet/Message Format".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=5444&eid=4178

--------------------------------------
Type: Editorial
Reported by: Ronald in 't Velt <[email-masked]>

Section: 6.5.1

Original Text
-------------
When an Address Block TLV Type is registered, then a new registry for
type extensions of that type must be created.  A document that
defines a Message TLV Type MUST also specify the mechanism by which
its type extensions are allocated, from among those in [BCP26].

Corrected Text
--------------
When an Address Block TLV Type is registered, then a new registry for
type extensions of that type must be created.  A document that
defines an Address Block TLV Type MUST also specify the mechanism by
which its type extensions are allocated, from among those in [BCP26].

Notes
-----
'Message TLV Type' should read 'Address Block TLV Type'. This is likely a 'Copy-Paste' error from section 6.4.1, which stipulates a similar requirement for Message TLV Type Extension Registry creation.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC5444 (draft-ietf-manet-packetbb-17)
--------------------------------------
Title               : Generalized Mobile Ad Hoc Network (MANET) Packet/Message Format
Publication Date    : February 2009
Author(s)           : T. Clausen, C. Dearlove, J. Dean, C. Adjih
Category            : PROPOSED STANDARD
Source              : Mobile Ad-hoc Networks
Area                : Routing
Stream              : IETF
Verifying Party     : IESG

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Fri, 14 Nov 2014 10:12:57 +0000

As an author of this document, I agree with this erratum.

-- 
Christopher Dearlove
Senior Principal Engineer, Information Assurance Group
Communications, Networks and Image Analysis Capability
BAE Systems Advanced Technology Centre
West Hanningfield Road, Great Baddow, Chelmsford, CM2 8HN, UK
Tel: +44 1245 242194 |  Fax: +44 1245 242124
[email-masked] | http://www.baesystems.com

BAE Systems (Operations) Limited
Registered Office: Warwick House, PO Box 87, Farnborough Aerospace Centre, Farnborough, Hants, GU14 6YU, UK
Registered in England & Wales No: 1996687

-----Original Message-----
From: RFC Errata System [mailto:[email-masked]] 
Sent: 14 November 2014 02:24
To: [email-masked]; Dearlove, Christopher (UK); [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: [Editorial Errata Reported] RFC5444 (4178)

----------------------! WARNING ! ---------------------- This message originates from outside our organisation, either from an external partner or from the internet.
Consider carefully whether you should click on any links, open any attachments or reply.
Follow the 'Report Suspicious Emails' link on IT matters for instructions on reporting suspicious email messages.
--------------------------------------------------------

The following errata report has been submitted for RFC5444, "Generalized Mobile Ad Hoc Network (MANET) Packet/Message Format".

Section: 6.5.1

Original Text
-------------
When an Address Block TLV Type is registered, then a new registry for type extensions of that type must be created.  A document that defines a Message TLV Type MUST also specify the mechanism by which its type extensions are allocated, from among those in [BCP26].

Corrected Text
--------------
When an Address Block TLV Type is registered, then a new registry for type extensions of that type must be created.  A document that defines an Address Block TLV Type MUST also specify the mechanism by which its type extensions are allocated, from among those in [BCP26].

Notes
-----

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please use "Reply All" to discuss whether it should be verified or rejected. When a decision is reached, the verifying party (IESG) can log in to change the status and edit the report, if necessary. 

********************************************************************
This email and any attachments are confidential to the intended
recipient and may also be privileged. If you are not the intended
recipient please delete it from your system and notify the sender.
You should not copy it or use it for any purpose nor disclose or
distribute its contents to any other person.
********************************************************************